%define version 1.0.5
%define release %mkrel 2

%define major 	1
%define api_version 1.0 
%define libname %mklibname xml++ %{api_version}
%define real_name libxml++

Name: 		libxml++1
Summary: 	C++ interface for working with XML files
Version: 	%{version}
Release: 	%{release}
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{real_name}/%{real_name}-%{version}.tar.bz2
URL:		http://libxmlplusplus.sf.net/
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libxml2-devel >= %{version}
BuildRequires:	doxygen
BuildRequires:  automake1.8

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}_%{major}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}_%{major}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}_%{major}-devel
Summary:	Headers for developing programs that will use %name
Group:		Development/C++
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}

%description	-n %{libname}_%{major}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q -n %{real_name}-%{version}
aclocal-1.8
autoconf
automake-1.8

%build
%configure2_5x
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%files -n %{libname}_%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la

%changelog
* Wed Mar 29 2006 Götz Waschk <waschk@mandriva.org> 1.0.5-2mdk
- fix buildrequires
- fix build
- use mkrel

* Wed Sep 28 2005 Götz Waschk <waschk@mandriva.org> 1.0.5-1mdk
- fix source URL
- New release 1.0.5

* Tue Aug 23 2005 Michael Scherer <misc@mandriva.org> 1.0.4-2mdk
- Birthday rebuild

* Fri Aug 06 2004 Michael Scherer <misc@mandrake.org> 1.0.4-1mdk 
- Reintroduce to contribs as it is needed by wormux

